Unable to upgrade to from Elastic search 6.5.1 to 6.7.1

I am following the steps of performing a rolling upgrade of elastic search using the link.
https://www.elastic.co/guide/en/elasticsearch/reference/6.7/rolling-upgrades.html

I am downloaded the RPM. but when i run

 rpm --install elasticsearch-6.7.1.rpm

    file /etc/init.d/elasticsearch from install of elasticsearch-0:6.7.1-1.noarch conflicts with file from package elasticsearch-0:6.5.1-1.noarch
    file /etc/sysconfig/elasticsearch from install of elasticsearch-0:6.7.1-1.noarch conflicts with file from package elasticsearch-0:6.5.1-1.noarch
    file /var/lib/elasticsearch from install of elasticsearch-0:6.7.1-1.noarch conflicts with file from package elasticsearch-0:6.5.1-1.noarch
    file /var/log/elasticsearch from install of elasticsearch-0:6.7.1-1.noarch conflicts with file from package elasticsearch-0:6.5.1-1.noarch
    file /etc/elasticsearch/jvm.options from install of elasticsearch-0:6.7.1-1.noarch conflicts with file from package elasticsearch-0:6.5.1-1.noarch
    file /etc/elasticsearch/log4j2.properties from install of elasticsearch-0:6.7.1-1.noarch conflicts with file from package elasticsearch-0:6.5.1-1.noarch
    file /usr/lib/systemd/system/elasticsearch.service from install of elasticsearch-0:6.7.1-1.noarch conflicts with file from package elasticsearch-0:6.5.1-1.noarch
    file /usr/share/elasticsearch/NOTICE.txt from install of elasticsearch-0:6.7.1-1.noarch conflicts with file from package elasticsearch-0:6.5.1-1.noarch
    file /usr/share/elasticsearch/bin/elasticsearch-certgen.bat from install of elasticsearch-0:6.7.1-1.noarch conflicts with file from package elasticsearch-0:6.5.1-1.noarch

This was not an elastic search issue, its an RPM issues. as i was upgrade not installing, i was using the wrong command. The correct command is

  rpm -Uvh elasticsearch-6.7.1.rpm

got the solution from
https://unix.stackexchange.com/questions/411740/rpm-install-file-conflict-from-previous-install